package com.liquidnet.common.third.zxlnft.dto.nft;

import com.liquidnet.commons.lang.util.JsonUtils;
import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: RegisterCompanyReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:27
 */
@Data
public class Nft009RegisterCompanyResp implements Serializable {
    /**
     * 用户唯一标识
     */
    private String userIdentification;

    private static final Nft009RegisterCompanyResp obj = new Nft009RegisterCompanyResp();
    public static Nft009RegisterCompanyResp getNew() {
        try {
            return (Nft009RegisterCompanyResp) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft009RegisterCompanyResp();
        }
    }

    @Override
    public String toString(){
        return JsonUtils.toJson(this);
    }
}
